package com.steerinfo.util;

/**
 * 常量类
 */
public class Const {

    public final static String AppName = "stcg";

    public static final String SUCCESS = "操作成功";
    public static final String FAILED = "操作失败";
    public static final String SUCCESS_ADD = "添加成功";
    public static final String FAILED_ADD = "添加失败";
    public static final String SUCCESS_MODIFY = "修改成功";
    public static final String FAILED_MODIFY = "修改失败";
    public static final String SUCCESS_DELETE = "删除成功";
    public static final String FAILED_DELETE = "删除失败";

    //账单审批 流程名称
    public static final String PROCESS_ZDSP = "tgwl_zdsp";

    /**
     * 流程审批状态
     */
    public enum WorkflowStatus {
        Wait("00"),//待审核
        Audit("10"),//在审核
        Pass("20"),//通过
        Back("30"),//退回
        Denied("40");//拒绝
        private final String value;

        private WorkflowStatus(String value) {
            this.value = value;
        }

        public String value() {
            return this.value;
        }
    }

    /**
     * 归档状态
     */
    public enum ArchiveFlag {
        Archive("0"),//归档
        UnArchive("1");//未归档

        private final String value;

        private ArchiveFlag(String value) {
            this.value = value;
        }

        public String value() {
            return this.value;
        }
    }

    /**
     * 车皮操作枚举
     */
    public enum WagonOperate {
        ADD("TO01", "车皮录入"),//车皮抄录
        CANCEL("TO02", "撤销车皮录入"),//撤销抄录
        MANAGER("TO03", "车皮管理"),//车皮管理
        EXIT("TO04", "车皮出厂"),//车皮出厂
        PUT("TO12", "车皮挂车"),//挂车
        REMOVE("TO13", "车皮脱车");//脱车
        private final String key;
        private final String value;

        private WagonOperate(String key, String value) {
            this.key = key;
            this.value = value;
        }

        public String key() {
            return this.key;
        }

        public String value() {
            return this.value;
        }
    }

    public enum WagonTransStatus {
        FREE("00"),//空闲
        PUT("10");//挂载
        private String value;

        private WagonTransStatus(String value) {
            this.value = value;
        }

        public String value() {
            return this.value;
        }
    }

    public enum WagonLoadStatus {
        EMPTY("00"),//空车皮
        FULL("10");//满罐
        private String value;

        private WagonLoadStatus(String value) {
            this.value = value;
        }

        public String value() {
            return this.value;
        }

        ;
    }
}
